##############################################################################
#
#    External Jobs, for OpenERP
#    Copyright (C) 2013, 2019, 2020 XCG Consulting (http://odoo.consulting)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
{
    "name": "External Jobs",
    "version": "11.0.1.2",
    "license": "AGPL-3",
    "author": "XCG Consulting",
    "category": "Tools",
    "summary": "Run jobs outside of the Odoo realm/processes.",
    "website": "https://odoo.consulting/",
    "depends": ["document"],
    "data": [
        "security/ir.model.access.csv",
        "data/menu.xml",
        "wizards/jobrunner.xml",
        "views/extrunner_server.xml",
        "views/job_definition.xml",
        "views/job_log.xml",
        "views/env_var.xml",
    ],
    "demo": [
        "demo/external_job.job_definition.csv",
        "demo/external_job_data.xml",
    ],
    "installable": True,
    "external_dependencies": {"python": ["sh"]},
}
