def migrate(cr, installed_version):
    """Compute the attachment id field on old job log.
    """
    if not installed_version:
        return
    cr.execute(
        "UPDATE external_job_job_log jl "
        "SET attachment_id = ia.id FROM ir_attachment ia "
        "WHERE res_id = jl.id AND res_model = 'external_job.job_log' AND "
        "attachment_id IS NULL"
    )
